=== debian/changelog ===
kvirc (4:4.1.1~svn5829-1build1) oneiric; urgency=low

  * No change rebuild for libcrypto++ transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Aug 2011 23:21:32 -0400

kvirc (4:4.1.1~svn5829-1) unstable; urgency=low

  The "Sleeping Potion" release.

  * Synced to upstream's SVN revision 5829.
  * debian/gbp.conf: Ensure tags get signed.
  * debian/control: Bumped Standards-Version to 3.9.2, no further changes
    needed.
  * debian/patches:
    - 10_fix_desktop_entry.patch: Refreshed.
    - 22_use_old_.protocol_file_names.patch: Added, sort of reverts upstream's
      r5756.
  * debian/kvirc-data.install: Updated for correct .protocol file
    installation.
  * debian/kvirc.lintian-overrides: Updated to match Lintian's current output.

 -- Kai Wasserbäch <curan@debian.org>  Sat, 07 May 2011 16:59:40 +0200

kvirc (4:4.1.1~svn5639-1) unstable; urgency=low

  The "Sleeper Agent" release.

  * Synced to upstream's SVN revision 5639.
  * debian/control: Added libqtwebkit-dev (QWebView is no longer shipped in
    libqt4-dev).

 -- Kai Wasserbäch <curan@debian.org>  Fri, 18 Mar 2011 19:22:25 +0100

kvirc (4:4.1.1~svn5551-1) unstable; urgency=low

  The "Sigil of Sleep" release.

  * Synced to upstream's SVN revision 5551.
  * debian/control:
    - Remove version constraint on pkg-kde-tools B-D (oldest version in the
      archives is >=0.9).
    - Changed Vcs-* links to our Git repository (this change was made because
      mercurial-buildpackage isn't ready yet).
    - Remove version requirement for qt4-x11, stable is sufficiently
      up-to-date.
  * debian/kvirc-data.links: Added symlink for usr/share/pixmaps/kvirc.png, as
    it is the same as the 48x48 hicolor icon.
  * debian/kvirc.install: Added the man pages, as upstream installs them in
    the correct places now, our dh_installman hack isn't needed anymore.
  * debian/kvirc.manpages: Deleted (see above).
  * debian/rules:
    - Changed dh_install invocation to --fail-missing.
    - Added "--parallel" to dh_auto_configure invocation.
    - Removed get-orig-tar target, use gbp-clone/gbp-pull (or plain git).
  * debian/README.source: Updated for new Git repository.
  * debian/gbp.conf: Added to ensure pristine-tar usage. 
  * debian/watch: Added git-import-orig invocation.

 -- Kai Wasserbäch <curan@debian.org>  Mon, 07 Mar 2011 12:57:53 +0100
