## kvirc 4.1.3+20111124.svn5988

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,13 +29,16 @@
 SET(NICENAME "KVIrc")
 SET(VERSION_MAJOR "4")
 SET(VERSION_BRANCH "4.1")
-SET(VERSION_RELEASE "4.1.1")
+SET(VERSION_RELEASE "4.1.3")
+SET(VERSION_CODENAME "Equilibrium")
+# REMINDER: "Aria" is a candidate
 
 STRING(REGEX MATCH "[0-9]+$" VERSION_MINOR ${VERSION_BRANCH})
 
 SET(CMAKE_KVIRC_VERSION_MAJOR ${VERSION_MAJOR})
 SET(CMAKE_KVIRC_VERSION_BRANCH ${VERSION_BRANCH})
 SET(CMAKE_KVIRC_VERSION_RELEASE ${VERSION_RELEASE})
+SET(CMAKE_KVIRC_VERSION_CODENAME ${VERSION_CODENAME})
 SET(CMAKE_KVIRC_BUILD_COMMAND ${CMAKE_COMMAND})
 SET(CMAKE_KVIRC_BUILD_FLAGS)
 SET(CMAKE_KVIRC_BUILD_SYSTEM ${CMAKE_SYSTEM})
@@ -278,7 +281,7 @@
 
 OPTION(WANT_VERBOSE "Generate verbose Makefiles" OFF)
 IF(WANT_VERBOSE)
-	SET(CMAKE_VERBOSE_MAKEFILE ON CACHE BOOL "Generate verbose Makefiles")
+	SET(CMAKE_VERBOSE_MAKEFILE ON)
 	SET(CMAKE_STATUS_VERBOSE_SUPPORT "Yes")
 	LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS VERBOSE)
 ELSE()
@@ -312,5 +315,3 @@
 IF(UNIX)
 	IF(APPLE)
 		SET(CMAKE_KVIRC_RESOURCES_DIR "${CMAKE_INSTALL_PREFIX}/Contents/Resources/")
-	ELSE()
-		# Assume linux
