=== data/deftheme/CMakeLists.txt ===
# CMakeLists for data/deftheme

# Find subdirs
SUBDIRS(MinimalDark-1.0.0 YellowIRC-1.0.0)
