=== debian/control ===
--- 
+++ 
@@ -1,7 +1,17 @@
 Source: kvirc
-Build-Depends: debhelper (>= 8), cmake, kdelibs5-dev, libperl-dev,
- pkg-kde-tools, zlib1g-dev, libx11-dev, libxrender-dev, libssl-dev,
- libqt4-dev, libcrypto++-dev, pkg-config, libxss-dev, python-dev,
+Build-Depends: debhelper (>= 8.9.4),
+ cmake (>= 2.8.4+dfsg.1-3),
+ kdelibs5-dev,
+ libperl-dev,
+ pkg-kde-tools,
+ zlib1g-dev,
+ libx11-dev,
+ libxrender-dev,
+ libssl-dev,
+ libqt4-dev,
+ pkg-config,
+ libxss-dev,
+ python-dev,
  libqtwebkit-dev
 Section: net
 Priority: optional
@@ -10,14 +20,20 @@
  Kai Wasserbäch <curan@debian.org>,
  Mark Purcell <msp@debian.org>
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/kvirc.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/kvirc.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kvirc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kvirc.git;a=summary
 Homepage: http://www.kvirc.de/
 
 Package: kvirc
 Architecture: any
-Depends: kvirc-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: multiarch-support, ${misc:Pre-Depends}
+Depends: libkvilib4 (= ${binary:Version}),
+ kvirc-modules (= ${binary:Version}),
+ kvirc-data (= ${source:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
 Suggests: kvirc-dbg (= ${binary:Version})
+Multi-Arch: same
 Description: KDE-based next generation IRC client with module support
  A highly configurable graphical IRC client with an MDI interface,
  built-in scripting language, support for IRC DCC, drag & drop file
@@ -29,10 +45,47 @@
  wrong choice as it is rather big. But if you want a highly customizable client
  you won't regret the installation.
 
+Package: libkvilib4
+Architecture: any
+Section: libs
+Pre-Depends: multiarch-support, ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: kvirc (= ${binary:Version})
+Suggests: kvirc-dbg (= ${binary:Version})
+Multi-Arch: same
+Description: KVIrc (IRC client) base library
+ A highly configurable graphical IRC client with an MDI interface,
+ built-in scripting language, support for IRC DCC, drag & drop file
+ browsing, and much more. KVIrc uses the KDE widget set, can be extended
+ using its own scripting language, integrates with KDE, and supports
+ custom plugins.
+ .
+ This package contains the main library of KVIrc.
+
+Package: kvirc-modules
+Architecture: any
+Section: libs
+Pre-Depends: multiarch-support, ${misc:Pre-Depends}
+Depends: libkvilib4 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
+Recommends: kvirc (= ${binary:Version})
+Suggests: kvirc-dbg (= ${binary:Version})
+Multi-Arch: same
+Description: KVIrc (IRC client) modules
+ A highly configurable graphical IRC client with an MDI interface,
+ built-in scripting language, support for IRC DCC, drag & drop file
+ browsing, and much more. KVIrc uses the KDE widget set, can be extended
+ using its own scripting language, integrates with KDE, and supports
+ custom plugins.
+ .
+ This package contains all modules for KVIrc.
+
 Package: kvirc-data
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: kvirc (>= ${source:Version})
+Multi-Arch: foreign
 Description: Data files for KVIrc
  This package contains the architecture-independent data needed by KVIrc in
  order to run, such as icons and images, language files, and shell scripts.
@@ -43,7 +96,10 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: kvirc (= ${binary:Version}), ${misc:Depends}
+Depends: kvirc (= ${binary:Version}),
+ libkvilib4 (= ${binary:Version}),
+ kvirc-modules (= ${binary:Version}),
+ ${misc:Depends}
 Description: KVIrc (IRC client) debugging symbols
  A highly configurable graphical IRC client with an MDI interface,
  built-in scripting language, support for IRC DCC, drag & drop file
