=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # the following variable which gives us a cleaner buildd output (idea taken
 # from the mesa package).
 NOT_INSTALLED := \
-				usr/lib/libkvilib.so \
+				usr/lib/$(DEB_HOST_MULTIARCH)/libkvilib.so \
 				usr/bin/kvirc-config \
 				usr/share/kvirc/4.1/license/LICENSE-GPLV2 \
 				usr/share/kvirc/4.1/license/LICENSE-GPLV3 \
@@ -18,13 +18,14 @@
 				usr/share/pixmaps/kvirc.png # this one is installed by a symlink
 
 override_dh_auto_configure:
-	dh_auto_configure --parallel -Skde -- -DWANT_COEXISTANCE=OFF \
+	dh_auto_configure --parallel -Skde -- -DWANT_COEXISTENCE=OFF \
 			-DWANT_ESD=OFF -DWANT_OSS=OFF \
-			-DWANT_CRYPTOPP=YES -DWANT_STRIP=OFF \
+			-DWANT_STRIP=OFF \
 			-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
 			-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
 			-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
-			-DMANUAL_REVISION=$(REV)
+			-DMANUAL_REVISION=$(REV) \
+			-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_install:
 	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done
